Debian Bug report logs - #573627
live-helper: LH_PACKAGES_LIST=rescue results in build failure for sid target

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Stanley Pinchak <Stanley.Pinchak@gmail.com>

Date: Sat, 13 Mar 2010 01:18:01 UTC

Severity: normal

Found in version live-helper/2.0~a8-1

Fixed in version 2.0~a9-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#573627; Package live-helper. (Sat, 13 Mar 2010 01:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stanley Pinchak <Stanley.Pinchak@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 13 Mar 2010 01:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stanley Pinchak <Stanley.Pinchak@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: LH_PACKAGES_LIST=rescue results in build failure for sid target
Date: Fri, 12 Mar 2010 20:16:59 -0500
Package: live-helper
Version: 2.0~a8-1
Severity: normal

The file /usr/share/live-helper/lists/rescue AKA "rescue" fails as 
an LH_PACKAGES_LISTS entry for a sid target.  It requests a 
non-existent package, "msntp" be included in the chroot.  According to 
http://lists.debian.org/debian-legal/2010/03/msg00004.html 
this package has been removed for sid.  This bug requires manual 
intervention to bypass.  The package is available in lenny, but testing
and unstable do not have this package (for most arch in unstable).
I resolved this by surrounding the entry with  #if DISTRIBUTION lenny 
and #endif to restrict this package inclusion to lenny.

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.22     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  cpio                          2.9-3      GNU cpio -- a program to manage ar
ii  gettext-base                  0.16.1-2   GNU Internationalization utilities

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#573627; Package live-helper. (Sat, 13 Mar 2010 05:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 13 Mar 2010 05:36:07 GMT) Full text and rfc822 format available.

Message #10 received at 573627@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Stanley Pinchak <Stanley.Pinchak@gmail.com>
Cc: 573627@bugs.debian.org
Subject: Re: Bug#573627: live-helper: LH_PACKAGES_LIST=rescue results in build failure for sid target
Date: Sat, 13 Mar 2010 06:33:27 +0100
tag 573627 pending
thanks

On 03/13/2010 02:16 AM, Stanley Pinchak wrote:
> The file /usr/share/live-helper/lists/rescue AKA "rescue" fails as
> an LH_PACKAGES_LISTS entry for a sid target.

this has been fixed yesterday already. it's not a must, but it's 
convenient if you check the git repository first before submitting new bugs.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 13 Mar 2010 05:36:08 GMT) Full text and rfc822 format available.

Reply sent to daniel@debian.org:
You have taken responsibility. (Mon, 15 Mar 2010 06:15:07 GMT) Full text and rfc822 format available.

Notification sent to Stanley Pinchak <Stanley.Pinchak@gmail.com>:
Bug acknowledged by developer. (Mon, 15 Mar 2010 06:15:07 GMT) Full text and rfc822 format available.

Message #17 received at 573627-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 573627-done@bugs.debian.org
Subject: Re: live-helper: LH_PACKAGES_LIST=rescue results in build failure for sid target
Date: Mon, 15 Mar 2010 07:12:07 +0100
Version: 2.0~a9-1

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Apr 2010 07:33:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:53:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.